package nsdb.LocationPackage;
public class LocVirtualSegmentHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"LocVirtualSegment",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("bio_seq_id",org.omg.CORBA.ORB.init().create_string_tc(0),null),new org.omg.CORBA.StructMember("start",org.omg.CORBA.ORB.init().create_struct_tc(id(),"Fuzzy",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("value",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("size",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("type",org.omg.CORBA.ORB.init().create_alias_tc( id(),"FuzzyTypeCode",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3))),null)}),null),new org.omg.CORBA.StructMember("end",org.omg.CORBA.ORB.init().create_struct_tc(id(),"Fuzzy",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("value",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("size",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("type",org.omg.CORBA.ORB.init().create_alias_tc( id(),"FuzzyTypeCode",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3))),null)}),null),new org.omg.CORBA.StructMember("complement",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(8)),null)});
	public LocVirtualSegmentHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, nsdb.LocationPackage.LocVirtualSegment s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static nsdb.LocationPackage.LocVirtualSegment extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:nsdb/Location/LocVirtualSegment:1.0";
	}
	public static nsdb.LocationPackage.LocVirtualSegment read(org.omg.CORBA.portable.InputStream in)
	{
		nsdb.LocationPackage.LocVirtualSegment result = new nsdb.LocationPackage.LocVirtualSegment();
		result.bio_seq_id=in.read_string();
		result.start=type.FuzzyHelper.read(in);
		result.end=type.FuzzyHelper.read(in);
		result.complement=in.read_boolean();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, nsdb.LocationPackage.LocVirtualSegment s)
	{
out.write_string(s.bio_seq_id);
type.FuzzyHelper.write(out,s.start);
type.FuzzyHelper.write(out,s.end);
out.write_boolean(s.complement);
	}
}
